QGIS Application - Bug report #10043
QGIS 2.2 not rendering svg correctly
2014-04-10 02:24 AM - Admire Nyakudya

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.2.0 Regression?:

Operating System: Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18524
Description

| have vector data that | have styled using svg symbols generated in inkscape and gimp and QGIS 2.2 does not show the correct svg

symbol on the map.

The svg symbols appear as a ? mark all over the map and when | try to style the same vector layer using QGIS 2.0 it draws the correct

svg symbol.

| have tried to copy the svg file from my home directory to the one where QGIS stores it default svg symbol and | noticed that once it is in

my home folder it is the correct symbol but when i gets to the QGIS folder it becomes a ? mark. | am running Ubuntu 13.10

| have attached the two png images that shows the above scenario

History

#1 - 2014-04-10 02:48 AM - Admire Nyakudya
- File trace.txt added

| am using Ubuntu 13.10 and the stack trace from when | start QGIS from the terminal is attached below.

#2 - 2014-06-21 02:39 AM - Jiirgen Fischer
- Category set to Symbology

#3 - 2015-10-10 03:31 AM - Nyall Dawson

- Resolution set to invalid

- Status changed from Open to Closed

Please test with QGIS >= 2.8 and if it's still reproducable, open a new issue and attach your svg image.

Files

correct_symbol.png 14.9 KB 2014-04-10 Admire Nyakudya
error.png 129 KB 2014-04-10 Admire Nyakudya
trace.txt 4.83 KB 2014-04-10 Admire Nyakudya
